#!/usr/bin/webif-page
<?

###
 #
 # FreeWLAN Addons - http://www.freewlan.info
 #
 # This Script is based on the original La Fonera Firmware version 0.7.1r2
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
 # as published by the Free Software Foundation; either version 2
 # of the License, or (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 # MA  02110-1301, USA
 #
 # http://www.gnu.org/copyleft/gpl.html
 #
###

. /usr/lib/webif/webif.sh

validate <<EOF
string|FORM_submit|@TR<<Submit>>|max=10|$FORM_submit
EOF

if [ "$?" != "0" ]
then
	FORM_submit=""
fi

sel_wifi=1
. /usr/lib/webif/advanced.sh

config_load fon
if empty "$FORM_submit"; then
	get_default bgmode advanced bgmode
	get_default channel advanced channel
else
validate <<EOF
chk_bgmode|FORM_bgmode|@TR<<BGMode#b/g Mode>>|required|$FORM_bgmode
chk_channel|FORM_channel|@TR<<Channel>>|required|$FORM_channel
EOF
	equal "$?" 0 && {
	#if [ "$FORM_bgmode" == "b" ]
	#then
	#	save_setting fon advanced bgmode "mixed"
	#else
		save_setting fon advanced bgmode "$FORM_bgmode"
	#fi
	save_setting fon advanced channel "$FORM_channel"
	commit_settings
	(
		ifconfig ath0 down
		ifconfig ath1 down
		ifup lan
		ifconfig ath0 up
	) >/dev/null 2>/dev/null &
	SAVED=1
	}
fi

header "Advanced Wireless Settings"

channels=
for ch in $(iwlist ath1 freq | grep 'Channel ' | grep -v "reque" | awk '{print $2}'); do
	channels="${channels:+$channels$N}option|$ch|$ch"
done

# fallback
channels="${channels:-
option|01|01
option|02|02
option|03|03
option|04|04
option|05|05
option|06|06
option|07|07
option|08|08
option|09|09
option|10|10
option|11|11}"

display_form <<EOF
	infotable|Advanced_wifi#The values in this page will permit you configure very specific WiFi paramters of La Fonera. All of them are optional

	start_table|0|10|5
		add_row
			add_label_cell|@TR<<Channel>>
			start_select_cell|channel|$FORM_channel|tableTextSelect
				option|auto|@TR<<Automatic>>
				$channels
			end_select_cell
		end_row
		add_row
			add_label_cell|@TR<<BGMode#b/g Mode>>
			start_select_cell|bgmode|$FORM_bgmode|tableTextSelect
				option|mixed|@TR<<b and g>>
				option|g|@TR<<g only>>
				option|b|@TR<<b only>>
			end_select_cell
		end_row
		add_row
			add_button_cell|submit|@TR<<Submit>>|tableTextButton
		end_row
	end_table
EOF

footer ?>